Skip to content

List agent mandates

Retrieve all intent mandates for the current agent.

GET
/api/mandates

Authorizations

agentJwt

Agent registration JWT. Send as Authorization: Bearer <agent-jwt>.

Type
HTTP (bearer)

Responses

The list of intent mandates for the agent.

application/json

List of all intent mandates for the agent.

Valid values"ok"
{
  "status": "<string>",
  "mandates": [
    {
      "mandateId": "<string>",
      "status": "<string>",
      "isEnabled": "<boolean>",
      "naturalLanguage": "<string>",
      "category": "<string>",
      "currency": "<string>",
      "limitAmount": "<string>",
      "spentAmount": "<string>",
      "pendingSpentAmount": "<string>",
      "remainingAmount": "<string>",
      "validFrom": "<string>",
      "validUntil": "<string>",
      "hostAllowlist": [
        "<string>"
      ],
      "mandateHash": "<string>",
      "signedAt": "<string>",
      "createdAt": "<string>",
      "detailsUrl": "<string>",
      "signUrl": "<string>"
    }
  ]
}

Released under the MIT License.